# Языковой пакет для русского языка для VS Code

Языковой пакет для русского языка содержит локализацию интерфейса VS Code.

## Использование

Вы можете переопределить язык пользовательского интерфейса по умолчанию, явно задав язык отображения VS Code с помощью команды «Настроить язык отображения».

Нажмите <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>P</kbd> (<kbd>Command ⌘</kbd> + <kbd>Shift ⇧</kbd> + <kbd>P</kbd> на Mac), чтобы открыть палитру команд, а затем начните вводить «отображен…» (“display”), чтобы отфильтровать команду «Настроить язык отображения» (“Configure Display Language”). Нажмите клавишу <kbd>Ввод</kbd> (<kbd>Enter</kbd>), и откроется список установленных языков по языковым стандартам, в котором будет выбран текущий языковой стандарт. Чтобы изменить язык пользовательского интерфейса, выберите другой языковой стандарт.

Дополнительные сведения: [Документация](https://go.microsoft.com/fwlink/?LinkId=761051).

## Участие

Чтобы отправить отзыв об улучшении перевода, создайте вопрос в репозитории [vscode-loc](https://github.com/microsoft/vscode-loc).
Строки перевода находятся на платформе локализации Майкрософт. Изменения можно внести только на ней, а затем экспортировать в репозиторий vscode-loc. Поэтому запросы на вытягивание в репозитории vscode-loc приниматься не будут.

## Лицензия

На исходный код и строки распространяется лицензия [MIT](https://github.com/Microsoft/vscode-loc/blob/master/LICENSE.md).

## Благодарность

Языковой пакет для русского языка доступен вам благодаря усилиям сообщества.

Выражаем особую признательность тем, кто принимал участие в создании пакета.

**Участники:**

* Mikhail Zabaluev
* Ivan
* Svitlana Galianova
* Aleksey Nemiro
* sberbanker
* Nikita Gryzlov
* Veronika Kolesnikova
* Valeriy Schepak
* Kirill Moskvichev
* Alexander Filimonov
* Anton Afonin
* Serge Rodionov
* Артем Мельниченко
* Orrchy
* Roman
* Acupofspirt
* Артём Давыдов
* Andrei Makarov
* Romanenko Alexey
* Roman Sokolov
* Andrei Pryymak

**Приятной работы!**

# Russian Language Pack for VS Code

Russian Language Pack provides localized UI experience for VS Code.

## Usage

You can override the default UI language by explicitly setting the VS Code display language using the **Configure Display Language** command.

Press `Ctrl+Shift+P` to bring up the **Command Palette** then start typing `display` to filter and display the **Configure Display Language** command.

Press `Enter` and a list of installed languages by locale is displayed, with the current locale highlighted. Select another `locale` to switch UI language.

See [Docs](https://go.microsoft.com/fwlink/?LinkId=761051) for more information.

## Contributing

For feedback of translation improvement, please create Issue in [vscode-loc](https://github.com/microsoft/vscode-loc) repo.

The translation strings are maintained in Microsoft Localization Platform. Change can only be made in Microsoft Localization Platform then export to vscode-loc repo. So pull request won't be accepted in vscode-loc repo.

## License

The source code and strings are licensed under the [MIT](https://github.com/Microsoft/vscode-loc/blob/master/LICENSE.md) license.

## Credits

Russian Language Pack had received contribution through "By the community, for the community" community localization effort.

Special thanks to community contributors for making it available.

**Contributors:**

* Mikhail Zabaluev
* Ivan
* Svitlana Galianova
* Aleksey Nemiro
* sberbanker
* Nikita Gryzlov
* Veronika Kolesnikova
* Valeriy Schepak
* Kirill Moskvichev
* Alexander Filimonov
* Anton Afonin
* Serge Rodionov
* Артем Мельниченко
* Orrchy
* Roman
* Acupofspirt
* Артём Давыдов
* Andrei Makarov
* Romanenko Alexey
* Roman Sokolov
* Andrei Pryymak

**Enjoy!**
